function I = readppm16(fname);

fid = fopen(fname,'r');

header = fgetl(fid);
disp(sprintf('\t%s',header));

header = fgetl(fid);
disp(sprintf('\t%s',header));

header = fgetl(fid);
S = sscanf(header,'%d', 2);
x = S(1);
y = S(2);
disp(sprintf('\t%d x %d', x, y));

header = fgetl(fid);
disp(sprintf('\t%s',header));
m = sscanf(header,'%d', 1);

I = fread(fid, [3 y*x], 'uint16');
I = I./m;
R = reshape(I(1,:), x, y)';
G = reshape(I(2,:), x, y)';
B = reshape(I(3,:), x, y)';
clear I;
I(:,:,1) = R;
I(:,:,2) = G;
I(:,:,3) = B;
fclose(fid);
